
// FTP header file for the Scriptol PHP compiler 
// Detail of functions at http://www.php.net/manual/en/

extern 
  
  const int FTP_ASCII
  const int FTP_BINARY
  
  int ftp_connect(cstring)                    // ftp url
  bool ftp_login(int, cstring, cstring)    
  bool ftp_put(int, cstring, cstring, int, int=0)    // upload
  bool ftp_get(int, cstring, cstring, int, int=0)    // download
  bool ftp_close(int)
  bool ftp_pasv(int, bool)
  
  int ftp_nb_get(int, cstring, cstring, int, int=0) // asynchronous
  int ftp_nb_put(int, cstring, cstring, int, int=0) // asynchronous
  
  bool ftp_chdir(int, cstring)
  cstring ftp_mkdir(int, cstring)
  cstring ftp_pwd(int)
  array ftp_nlist(int, cstring)
  cstring ftp_systype(int, cstring)
  
  bool ftp_delete(int, cstring)
  int ftp_chmod(int, int mode, cstring)
  bool ftp_rename(int, cstring, cstring)   // handler, old name, new name
  int ftp_size(int, cstring)      // size of a file
  int ftp_mdtm(int, cstring)		// last modified date
  
  bool ftp_exec(int, cstring)

/extern  
