/*
The Scriptol library
Home page of the compiler: http://www.scriptol.org

The contents of this file are subject to the Mozilla Public License
Version 1.1 (the "License"); you may not use this file except in
compliance with the License. You may obtain a copy of the License at
http://www.mozilla.org/MPL/

Software distributed under the License is distributed on an "AS IS"
basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
License for the specific language governing rights and limitations
under the License.

The Original Code is the Scriptol library for the Scriptol compiler.
The Initial Developer of the Original Code is Denis Sureau at Scriptol.com.
*/



#include <stdlib.h>
#include <stdio.h>
#include <iostream>
#include <conio.h>
#include <vector>
#include <dirent.h>
#ifdef UNIX
#include <varargs.h>
#else
#include <stdarg.h>
#endif

#ifndef _RWSTD_NO_NAMESPACE
  using namespace std;
#endif

#include "libsol.hpp"

 dyn & dict::operator[](const char *s) { return operator[](text(s)); }
 dyn & dict::operator[](text t)
 {
   int k = findKey(t);
   if(k == -1)
   {
     k = size();
     keys.push_back(t);
     data.push_back(dyn(""));
   }
   return data[k];
 }


