# Sieve of Eratosthenes
# Scriptol example

array sieve(real num)
  int value
  int a, b, c, d

  if num <= 200.0 :
    value = ceil( 1.6 * num / log(num) + 1)
  else
    value = ceil( num / log(num - 2)  + 1)
  /if

  array somelist = dyn(value)

  somelist[1] = 1
  somelist[2] = 2
  somelist[3] = 3
  b = 3
  c = 3
  while c < num
    a = 2
    d = sqrt(c)
    bool flag = true
    do
      a + 1
      if somelist[a] > d :
        somelist[b] = c
        b + 1
        flag = false
      else
        if (c / somelist[a] * somelist[a]) = c ? flag = false
      /if
    /do while flag = true
    c + 2
  /while
  
return somelist

array a = sieve(1000.0)
a.display()


